elm::web Struct Reference

Public Member Functions
elm::web Struct Reference

Class web. More...

## Public Member Functions
| web (Eo *eo)
| Eo Constructor. More...
| web (std::nullptr_t)
| nullptr_t Constructor. More...
| web (web const &other)
| Copy Constructor.
bool | navigate (int steps_) const
bool | html_string_load (::efl::eina::string_view html_, ::efl::eina::optional< ::efl::eina::string_view > base_url_, ::efl::eina::optional< ::efl::eina::string_view > unreachable_url_) const
bool | text_search (::efl::eina::string_view string_, bool case_sensitive_, bool forward_, bool wrap_) const
void | region_show (int x_, int y_, int w_, int h_) const
unsigned int | text_matches_mark (::efl::eina::string_view string_, bool case_sensitive_, bool highlight_, unsigned int limit_) const
void | region_bring_in (int x_, int y_, int w_, int h_) const
bool | navigate_possible_get (int steps_) const
| web (::efl::eo::parent_type _p)
| Constructs a new elm::web object. More...

## Detailed Description

Class web.

## Constructor & Destructor Documentation

## ◆ web() [1/3]

elm::web::web | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new elm::web object.

Constructs a new elm::web object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

elm::web my_web(efl::eo::parent = parent_object);

See also
  web(Eo* eo)

## ◆ web() [2/3]

elm::web::web | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

## ◆ web() [3/3]

elm::web::web | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

## ◆ html_string_load()

bool elm::web::html_string_load | ( | ::efl::eina::string_view | html_,
|  | ::efl::eina::optional< ::efl::eina::string_view > | base_url_,
|  | ::efl::eina::optional< ::efl::eina::string_view > | unreachable_url_
| ) |  | const

Parameters

  html |
  base_url |
  unreachable_url |

## ◆ navigate()

bool elm::web::navigate | ( | int | steps_ | ) | const

Parameters

  steps |

## ◆ navigate_possible_get()

bool elm::web::navigate_possible_get | ( | int | steps_ | ) | const

Parameters

  steps |

## ◆ region_bring_in()

void elm::web::region_bring_in | ( | int | x_,
|  | int | y_,
|  | int | w_,
|  | int | h_
| ) |  | const

Parameters

  x |
  y |
  w |
  h |

## ◆ region_show()

void elm::web::region_show | ( | int | x_,
|  | int | y_,
|  | int | w_,
|  | int | h_
| ) |  | const

Parameters

  x |
  y |
  w |
  h |

## ◆ text_matches_mark()

unsigned int elm::web::text_matches_mark | ( | ::efl::eina::string_view | string_,
|  | bool | case_sensitive_,
|  | bool | highlight_,
|  | unsigned int | limit_
| ) |  | const

Parameters

  string |
  case_sensitive |
  highlight |
  limit |

## ◆ text_search()

bool elm::web::text_search | ( | ::efl::eina::string_view | string_,
|  | bool | case_sensitive_,
|  | bool | forward_,
|  | bool | wrap_
| ) |  | const

Parameters

  string |
  case_sensitive |
  forward |
  wrap |